Subject: bug#18975: 24.4; vc-svn does not recognize file externals as svn-managed files

From: Stefan Kangas <[email-masked]>
Date: Thu, 05 Dec 2019 12:40:03 +0100

Tim Van Holder <[email-masked]> writes:

> On 6 November 2014 16:46, Stefan Monnier <[email-masked]> wrote:
[..]
>  > resolves my issue, but I can't be sure it doesn't cause problems
>  > elsewhere.
>
>  Hopefully someone else knows better, but otherwise I suggest you try to
>  use this change for a while, testing it with things like
>  diff/annotate/younameit.
>
>  And then report here if you really think that works better.
>
> Well it makes vc-svn recognize the files as svn-controlled, so it definitely works better :-)
> I'll see about putting a fixed version in a private load path, so that if it breaks something it doesn't affect all users.

That was five years ago.  Are you still using this change?  Does it
work better?  If so, do you still suggest that it should be installed
in the Emacs master branch?

Best regards,
Stefan Kangas